package com.oo.eye;

import com.app.baselibrary.base.app.BaseApplication;
import com.app.baselibrary.commonUtil.LogUtil;

/**
 * Created by xucon on 2018/8/30.
 */

public class EyeApplication extends BaseApplication {

	@Override
	public void onCreate() {
		super.onCreate();
		CrashHandler crashHandler = CrashHandler.getInstance();
		crashHandler.init(getApplicationContext());
		crashHandler.setRestart(true);
		crashHandler.setCrashListener(new ICrashListener() {
			@Override
			public void onCrash(String json) {
				LogUtil.e(json);
			}
		});
	}
}
